%define name wine-av
%define version 20040914
%define release 6
%define buildroot %{_topdir}/BUILD/%{name}-buildroot

Summary: Wine release for use with Autovue Web Edition
Name: %{name}
Version: %{version}
Release: %{release}
Vendor: Oracle
Group: Applications/Emulators
Source:%{topdir}/SOURCES/wine-av-20040914.src.tar.gz
BuildRoot: %{buildroot}
License: LGPL
Prefix: %{_prefix}

%description
Wine release for use with Autovue Web Edition

%prep
%setup -q

%build
PATH=/home/jpt/dev/o/lin_rel/thirdparty/freetype/installed/bin:$PATH LDFLAGS="-L/home/jpt/dev/o/lin_rel/thirdparty/freetype/installed/lib" CFLAGS="-fexceptions -fnon-call-exceptions -O1 -fno-builtin -I/usr/local/X11R6/include -DNDEBUG" CC="gcc4" CXX="g++4" ./configure --without-curses --disable-debug --prefix=%{buildroot}/usr/av

make main_depend && make -k

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/av
make install
python %{_topdir}/SPECS/wine_symlinks.py $RPM_BUILD_ROOT/usr/av/lib/wine

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_prefix}/*


%changelog
* Wed Mar 12  2008  <jpt@devbld32x4> -
- Added fix in HTTP support for infinite loop while processing redirections
* Mon Feb 25 2008  <jpt@devbld32x4> -
- Added fix for Excel WMF crash
* Mon Feb 11 2008  <jpt@devbld32x4> -
- Added fix for stability issue
* Tue Jan 22 2008  <jpt@devbld32x4> -
- Added fixes to OLE to allow UG NX4 file support
* Fri Jan 18 2008  <Jean-PhilippeTheriau@sjeanphilippe> - 
- Changed installed directory from /usr/lib/wine to /usr/av
* Fri Dec 07 2007  <Jean-PhilippeTheriau@sjeanphilippe> - 
- Updated the Wine sources
* Thu Sep 27 2007  <Jean-PhilippeTheriau@devrhel43> - 
- Fixed so it would install to /usr/lib/wine rather than /usr/lib/jvuew
* Thu Sep 27 2007  <Jean-PhilippeTheriau@devrhel43> - 
- Adding missing lib*.so links
* Wed Sep 26 2007  <Jean-PhilippeTheriau@devrhel43> - 
- First successful package creation
* Mon Sep 24 2007  <Jean-PhilippeTheriau@devrhel43> - 
- Initial build.
